Subject: bug#17742: Acknowledgement (Support for enchant?)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Dec 2016 20:54:56 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Tue, 13 Dec 2016 18:26:43 +0000
> Cc: [email-masked]
> 
>  I understand that Enchant doesn't yet support these features, but in
>  that case we must provide our users with some way of customizing these
>  settings, we cannot silently use defaults that are most probably
>  inappropriate, even if they are 90% correct.
> 
> ​The way to customize it is surely the same as currently, namely​ to customize ispell-dictionary-alist?​

That's okay, but then ispell.el shouldn't be generating dictionary
entries, but instead should leave that to the user, as we do with
Ispell.

> Given that even management of personal word lists needs a patch to Enchant, it seems to me better to first
> try to engage with the Enchant maintainers on this. There's also one obvious question, namely, what do other
> Enchant users do? Enchant is used in Abiword (free word processor), Pidgin (free IM client) etc. So, I shall
> look into this.

Thanks.

> However, I think that this patch can be installed anyway, as out of the box Enchant will never be used (as I
> have commented in the code, auto-detection of Enchant is not safe until a new version is widespread, as
> unlike old versions of ispell and aspell, a current version of Enchant is not merely lacking functions, it is
> useless), and for some Emacs users, it could be useful, as it allows access to spellcheckers currently
> unsupported by Emacs (albeit, as you note, probably requiring customized dictionary setup).

I'm okay with installing this, provided that the above-mentioned issue
is taken care of, if only by leaving it to the user to provide the
dictionary entries by hand.  I don't think it's a good idea to
auto-generate entries that are only 80% correct, as that will
certainly trigger bug reports.